umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_signalwidget.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/signalwidget.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_SignalWidget_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_SignalWidget_t | qt_meta_stringdata_SignalWidget
static const uint | qt_meta_data_SignalWidget []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_SignalWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_SignalWidget

const uint qt_meta_data_SignalWidget[]
| static

## ◆ qt_meta_stringdata_SignalWidget

const qt_meta_stringdata_SignalWidget_t qt_meta_stringdata_SignalWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 12),
QT_MOC_LITERAL(1, 13, 17),
QT_MOC_LITERAL(2, 31, 0),
QT_MOC_LITERAL(3, 32, 8),
QT_MOC_LITERAL(4, 41, 6),
QT_MOC_LITERAL(5, 48, 17),
QT_MOC_LITERAL(6, 66, 10),
QT_MOC_LITERAL(7, 77, 4),
QT_MOC_LITERAL(8, 82, 6),
QT_MOC_LITERAL(9, 89, 4)
},
"SignalWidget\0slotMenuSelection\0\0"
"QAction*\0action\0slotTextDestroyed\0"
"SignalType\0Send\0Accept\0Time"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_signalwidget.cpp:28
qt_meta_stringdata_SignalWidget_t
Definition: moc_signalwidget.cpp:24